Page MenuHomePhabricator

RC filters - extra space/padding for previous 'Namespace' and 'Tag filter' options is preserved
Closed, ResolvedPublic

Description

Previously, the 'Namespace' and 'Tag filter' options occupied a place between two horizontal lines:


With collapsed Legend:

Now, in betalabs, when 'Namespace' and 'Tag filter' options became filters, the space between two horizontal lines is empty:


With collapsed Legend:

Also, the following mockup does not have any extra empty space preserved:
http://pauginer.github.io/prototypes/edit-review/extended-filters/index.html

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2017, 5:44 PM
Mattflaschen-WMF renamed this task from RC filters - extra space for previous 'Namespace' and 'Tag filter' options is preserved to RC filters - extra space/padding for previous 'Namespace' and 'Tag filter' options is preserved .Jun 20 2017, 6:00 PM

@Pginer-WMF Can you take a look? May be it's ok to leave it as it is?

Both the access to the advanced filters (T167384) and the position of the legend (T168043) are expected to change. Once the mentioned tickets are completed, we'll be making a better use of space.

I see the current situation to be an intermediate state, and efforts are probably better spent in completing the above tickets towards the final solution rather than adjusting the spacing of such intermediate state.

Etonkovidova added a comment.EditedJun 21 2017, 4:56 PM

Thx, @Pginer-WMF. I thought that we would deploy Namespace and Tag filters before finishing the entire work, i.e. T167384 and T168043. I'll keep the ticket in Collaboration-Team -Triage, just in case.

Just to verify something -- those two lines may actually have something left in there from external extensions. For example, I'm a bit confused about where "Translations" went in your second set of screenshots... it should still remain, since we did not yet implement it in RCFilters.

I can try and check whether there's anything visible between those lines, and if not, I can hide them, but it is a bit of a hack.

Change 361609 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Remove <hr> if extension table is empty

https://gerrit.wikimedia.org/r/361609

Change 361609 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Remove <hr> if extension table is empty

https://gerrit.wikimedia.org/r/361609

Checked in betalabs - the screenshots below are from betalabs cawiki

With the legend collapsed

With the un-collapsed legend

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jul 3 2017, 3:08 PM